Request a pre-signed upload URL
Issues a short-lived pre-signed S3 PUT URL. Upload the document directly to S3, then submit the returned object key as input_ref on the process request.
POST
/v1/categories/{category_id}/uploadsAuthorization
apiKeyAuth X-API-Key<token>
In: header
Path Parameters
category_id*Category Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request a pre-signed URL to upload a document for processing.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/categories/497f6eca-6276-4993-bfeb-53cbbbba6f08/uploads" \ -H "Content-Type: application/json" \ -d '{ "content_type": "string" }'{ "expires_in": 0, "object_key": "string", "s3_uri": "string", "upload_url": "string"}{ "detail": [ { "ctx": {}, "input": null, "loc": [ "string" ], "msg": "string", "type": "string" } ]}
